### Enumeration

# Soup WebsocketConnectionType

since: 3.0

#### Declaration

    enum Soup.WebsocketConnectionType

#### Description [src]

The type of a `SoupWebsocketConnection`.

Available since: 3.0

#### Members

`SOUP_WEBSOCKET_CONNECTION_UNKNOWN`

  Unknown/invalid connection.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 3.0
`SOUP_WEBSOCKET_CONNECTION_CLIENT`

  A client-side connection.

  - Value: `1`
  - Nickname: `client`
  - Available since: 3.0
`SOUP_WEBSOCKET_CONNECTION_SERVER`

  A server-side connection.

  - Value: `2`
  - Nickname: `server`
  - Available since: 3.0